Subject: Re: bug#12380: other window related commands broken

From: martin rudalics <[email-masked]>
Date: Fri, 07 Sep 2012 22:26:14 +0200

> Edit a file
> C-x 2
> (OK, now you have a two windows split horizontally)
> C-x C-b
> One of the windows **splits vertically**(!!) to show the buffer menu.  

With emacs -Q here the lower window is used.

> Older versions of emacs (I don't know how far back you have to go) use 
> the "other" window of the two horizontally split window to display the 
> menu.  The old way is by far the better way.  The same thing happens 
> with C-x 4 C-f and I think other C-x 4 commands. All make for annoying 
> work cleaning up your windows after the unwanted vertical splits happen.

Please test with emacs -Q and from the Help menu use the entry
"How to Report a Bug" in order to provide the necessary information.

Thanks, martin